# ProductSchema

`id - string`

The unique identifier of the product

***

`name - string`

The name of the product

***

`status - string`

The status of the product. There are currently 3 statuses for a product

* **active** - visible to the consumer
* **draft**  - still in construction
* **archived** - no longer needed

***

`slug - string`

Slug will be automatically generated for you based on the name of the product and can be used later to find products by a given slug

***

`published - boolean`

Whether or not you want the product to be published in our marketplace

***

`vendor - string`

The name of the shop that owns this product

***

`inventory - number`

The number of products that are available for purchase

***

`price - number`

The price of this product

***

`comparePrice - number`

The discounted price of the product

***

`description - string`

The description of the product

***

`productType - string`

The type of the product. We currently support 3 types of products

* **physical**
* **digital**
* **service**

***

`costPerItem - number`

The cost you purchasing the product

***

`sku - string`

The SKU of the product

***

`collections - array`

A list of collections that this product belongs to

***

`variants - array`

A list of variants available for this product

***

`images - array`

A list of images available for this product

***

`categories - array`

The list of categories available for this product

***

`createdAt - string`

The date the product was created

***

`updatedAt - string`

The last time that the product was updated


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pgecom.com/api-endpoint/ecommerce/product/productschema.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
